Summary: Isearch text search engine
Name: Isearch
Version: 1.41
Release: 1rh42
Copyright: distributable
Group: Utilities/Text
Source: Isearch-1.41.tar.gz
URL: http://www.etymon.com/Isearch/
%description
Isearch is software for indexing and searching text documents.  It
supports full text and field based search, relevance ranked results,
Boolean queries, and heterogeneous databases.  Isearch can parse many
kinds of documents "out of the box," including HTML, mail folders,
list digests, SGML-style tagged data, and USMARC.  It can be extended
to support other formats by creating descendant classes in C++ that
define the document structure.  It is pretty easy to customize in this
way, provided that you know some C++ (and you will need to ftp the
source code).  A CGI interface is also included for web based
searching.

%prep
%setup

%build
bin=/usr/local/bin
cgi=Isearch-cgi
make "CFLAGS=-DUNIX -fwritable-strings"
if [ ! -d /home/httpd/databases ]; then
	mkdir -p /home/httpd/databases
fi
# backup files in /usr/local/bin that might get overwritten
if [ -f $bin/isearch ]; then
	pushd $bin ; mv -f isearch isearch.Isearch-cgi ; popd
fi
if [ -f $bin/ifetch ]; then
	pushd $bin ; mv -f ifetch ifetch.Isearch-cgi ; popd
fi
if [ -f $bin/ihtml ]; then
	pushd $bin ; mv -f ihtml ihtml.Isearch-cgi ; popd
fi
# run the Configure script out of /usr/local/bin
cp -f $cgi/Configure $bin/Isearch-cgi-Configure
pushd $bin ; ./Isearch-cgi-Configure /home/httpd/databases ; popd
# clean up /usr/local/bin
rm -f $bin/Isearch-cgi-Configure
mv -f $bin/isearch $cgi/.
mv -f $bin/ifetch $cgi/.
mv -f $bin/ihtml $cgi/.
if [ -f $bin/isearch.Isearch-cgi ]; then
	pushd $bin ; mv -f isearch.Isearch-cgi isearch ; popd
fi
if [ -f $bin/ifetch.Isearch-cgi ]; then
	pushd $bin ; mv -f ifetch.Isearch-cgi ifetch ; popd
fi
if [ -f $bin/ihtml.Isearch-cgi ]; then
	pushd $bin ; mv -f ihtml.Isearch-cgi ihtml ; popd
fi

%install
bin=/usr/local/bin
cgibin=/home/httpd/cgi-bin
cgi=Isearch-cgi
if [ ! -d $cgibin ]; then
	mkdir -p $cgibin
fi
make install
cp $cgi/isrch_srch $bin
cp $cgi/isrch_fetch $bin
cp $cgi/isrch_html $bin
cp $cgi/search_form $bin
cp $cgi/isearch $cgibin
cp $cgi/ifetch $cgibin
cp $cgi/ihtml $cgibin

%post
if [ ! -d /home/httpd/databases ]; then
	mkdir -p /home/httpd/databases
fi

%postun
cat `rmdir /home/httpd/databases`

%changelog
* Tue Sep  8 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- added html documentation to package
- added URL
- rebuilt with libc5

%files
%doc CHANGES COPYRIGHT README
%doc html
/usr/local/bin/Iindex
/usr/local/bin/Isearch
/usr/local/bin/Iutil
/usr/local/bin/isrch_srch
/usr/local/bin/isrch_fetch
/usr/local/bin/isrch_html
/usr/local/bin/search_form
/home/httpd/cgi-bin/isearch
/home/httpd/cgi-bin/ifetch
/home/httpd/cgi-bin/ihtml
